MFArgsUtil (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.api

## Class MFArgsUtil

- java.lang.Object
- - com.marketfactory.api.MFArgsUtil

-     public class MFArgsUtil
      extends java.lang.Object

  Common utilities for starting our little test programs.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MFArgsUtil.APIOptions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MFArgsUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MFAdmin` | `createAdmin()`
    `static MFClient` | `createClient()`
    `static MFClient` | `createClient2()`
    `static MFClient` | `createClientOld()`
    `static java.util.List<MFClient>` | `createClients(int n)`
    `static java.util.List<java.lang.Integer>` | `getTestFeeds(MFClient client)`
    `static java.util.Collection<java.lang.Object[]>` | `getTestFeedsAndMarkets(MFClient client)`
    `static MFArgsUtil.APIOptions` | `parseArgs(java.lang.String[] args)`
    `static void` | `setDefaultFromProperties()`
    `static void` | `startProgram(java.lang.String[] args, MFHandler handler, java.util.logging.Logger log)`
    `static void` | `usage()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MFArgsUtil

          public MFArgsUtil()

  - ### Method Detail

    - #### setDefaultFromProperties

          public static void setDefaultFromProperties()

    - #### createAdmin

          public static MFAdmin createAdmin()
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### createClient

          public static MFClient createClient()
                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### createClientOld

          public static MFClient createClientOld()
                                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### createClient2

          public static MFClient createClient2()
                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### createClients

          public static java.util.List<MFClient> createClients(int n)
                                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getTestFeeds

          public static java.util.List<java.lang.Integer> getTestFeeds(MFClient client)
                                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getTestFeedsAndMarkets

          public static java.util.Collection<java.lang.Object[]> getTestFeedsAndMarkets(MFClient client)
                                                                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseArgs

          public static MFArgsUtil.APIOptions parseArgs(java.lang.String[] args)

    - #### usage

          public static void usage()

    - #### startProgram

          public static void startProgram(java.lang.String[] args,
                                          MFHandler handler,
                                          java.util.logging.Logger log)
                                   throws java.io.IOException,
                                          java.lang.InterruptedException

      Throws:
        `java.io.IOException`
        `java.lang.InterruptedException`